function GroupFunction(type) {
    var jSemesters = $('#semesters' + type);
    var jGrades = $('#grades' + type);
    var jGroupTransfer = $('#groupTransfer' + type);
    var jGroupSelect = $('#group' + type);
    var jItemContainer = $('.TransferListItem');
    var jList = $("#" + type + "ItemsList");

    jGrades.find('option[value=-1]').attr('selected', 'selected');
    jGroupSelect.find('option[value=-1]').attr('selected', 'selected');

    jSemesters.change(function () {
        var sem = jSemesters.find('option:selected');
        sem.hasClass('current') ? $(this).addClass('Current') : $(this).removeClass('Current') ;
        if (sem.val() != 0) {
            jGrades.prop('disabled', false);
        } else {
            jGrades.prop('disabled', true);
            jGroupSelect.prop('disabled', true);
        }

        // clear list
        jList.html('');
    });

    jGrades.change(function () {
        var gr_id = jGrades.find('option:selected').val();
        if (gr_id) {
            jGroupSelect.prop('disabled', false);
            $.post(URLdir + 'handler/Transfer/getGroups',
                {'gradeID': jGrades.find('option:selected').val()},
                function (data) {
                    jGroupSelect.html(data);
                });
        } else {
            jGroupSelect.prop('disabled', true);
        }

        // clear list
        jList.html('');
    });

    var jButtonSelect = $('#SelectAll' + type);
    var jStudentsList = $('#StudentList' + type);
    var jButtonDeselect = $('#DeselectAll' + type);

    jButtonSelect.click(function () {
        jStudentsList.find('li').addClass('selected');
    });

    jButtonDeselect.click(function () {
        jStudentsList.find('li.selected').removeClass('selected');
    });

    jList.on('click', 'li', function () {
        $(this).hasClass('selected') ?
            $(this).removeClass('selected') : $(this).addClass('selected');
    });
}
$(function () {

    GroupFunction('Left');
    GroupFunction('Right');
    $('#TransferItemsList').on('click', 'li', function () {
        $(this).hasClass('selected') ?
            $(this).removeClass('selected') : $(this).addClass('selected');
    });
    var view = new View($('.TransferControl'));

    var transferer = new Controller();
    transferer.setView(view);

});
